## class OSGUTIL_EXPORT osgUtil::PickIntersectVisitor

## Inheritance:

### Public Methods

PickIntersectVisitor()
~PickIntersectVisitor()
HitList& getHits(osgUtil::SceneView* , int x, int y)
HitList& getIntersections(osg::Node* scene, osg::Vec3 nr, osg::Vec3 fr)

### Inherited from IntersectVisitor:

### Public Methods

void reset()
void addLineSegment(osg::LineSegment* seg)
HitList& getHitList(osg::LineSegment* seg)
int getNumHits(osg::LineSegment* seg)
bool hits()
virtual void apply(osg::Node&)
virtual void apply(osg::Geode& node)
virtual void apply(osg::Billboard& node)
virtual void apply(osg::Group& node)
virtual void apply(osg::Transform& node)
virtual void apply(osg::Switch& node)
virtual void apply(osg::LOD& node)

### Public Members

typedef std::vector<Hit> HitList
typedef std::map<osg::LineSegment*,HitList > LineSegmentHitListMap

### Protected Fields

IntersectStateStack _intersectStateStack
osg::NodePath _nodePath
LineSegmentHitListMap _segHitList

### Protected Methods

bool intersect(osg::Drawable& gset)
void pushMatrix(const osg::Matrix& matrix)
void popMatrix()
bool enterNode(osg::Node& node)
void leaveNode()

### Protected Members

class IntersectState: public osg::Referenced
typedef std::vector<osg::ref_ptr<IntersectState> > IntersectStateStack

## Documentation

`PickIntersectVisitor()`

`~PickIntersectVisitor()`

`HitList& getHits(osgUtil::SceneView* , int x, int y)`

`HitList& getIntersections(osg::Node* scene, osg::Vec3 nr, osg::Vec3 fr)`

This class has no child classes.

Friends:
  class osgUtil::IntersectVisitor

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.